Subject: Re: mkpasswd - mkgroup inconsistency in W2K Professional (cron problem)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked] (Jari Aalto)
Cc: [email-masked]
Date: Sun, 29 Jul 2001 20:37:30 +0200

Jari Aalto schrieb am 2001-07-29, 17:54:

: Re: mkpasswd - mkgroup inconsistency in W2K Professional (cron problem)
: References: <[email-masked]>
: To: <cygwin at sources dot redhat dot com>
: 
: > Prentis Brooks schrieb am 2001-07-27, 15:45:
: >
: > > Umm, there is a system account on Win2k.
: 
: I mean, there is no "user" named SYSTEM to which I could log into.
: The commands were ran while logged as Administrator.
: 
: > > I think the actual cygrunsrv command line should be:
: > >
: > > cygrunsrv -I cron -p /usr/sbin/cron -a'-D' -e CYGWIN="tty ntsec"
: 
: This is odd. Whatever I try, it always gives the same error:
[...]
Really?

: With env -a "-D -e CYGWIN=\"tty ntsec binmode\""
This is not the same as above!
And all your other examples aren't correct, too.

try exactely the line like above (or this one here):
$ cygrunsrv -I cron -p /usr/sbin/cron -a'-D' -e CYGWIN="tty ntsec binmode"

It works for me and all of us, so it should work for you, too.
BTW, i have 'CYGWIN=ntsec tty' as systemwide environment variable,
which is (IMHO) the best option.

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/